Package com.ocient.jdbc.proto

## Class PlanProtocol.ShuffleOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.ShuffleOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ShuffleOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ShuffleOperator

    public static final class PlanProtocol.ShuffleOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>
    implements PlanProtocol.ShuffleOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.ShuffleOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.ShuffleOperator.Builder` `addAllKeys​(Iterable<String> values)` The keys we are hashing by (in order) to determine the destination
`PlanProtocol.ShuffleOperator.Builder` `addKeys​(String value)` The keys we are hashing by (in order) to determine the destination
`PlanProtocol.ShuffleOperator.Builder` `addKeysBytes​(com.google.protobuf.ByteString value)` The keys we are hashing by (in order) to determine the destination
`PlanProtocol.ShuffleOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ShuffleOperator` `build()`
`PlanProtocol.ShuffleOperator` `buildPartial()`
`PlanProtocol.ShuffleOperator.Builder` `clear()`
`PlanProtocol.ShuffleOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.ShuffleOperator.Builder` `clearKeys()` The keys we are hashing by (in order) to determine the destination
`PlanProtocol.ShuffleOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.ShuffleOperator.Builder` `clearShuffleRotation()` `uint64 shuffle_rotation = 2;`
`PlanProtocol.ShuffleOperator.Builder` `clone()`
`PlanProtocol.ShuffleOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getKeys​(int index)` The keys we are hashing by (in order) to determine the destination
`com.google.protobuf.ByteString` `getKeysBytes​(int index)` The keys we are hashing by (in order) to determine the destination
`int` `getKeysCount()` The keys we are hashing by (in order) to determine the destination
`com.google.protobuf.ProtocolStringList` `getKeysList()` The keys we are hashing by (in order) to determine the destination
`long` `getShuffleRotation()` `uint64 shuffle_rotation = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.ShuffleOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.ShuffleOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.ShuffleOperator.Builder` `mergeFrom​(PlanProtocol.ShuffleOperator other)`
`PlanProtocol.ShuffleOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.ShuffleOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ShuffleOperator.Builder` `setKeys​(int index, String value)` The keys we are hashing by (in order) to determine the destination
`PlanProtocol.ShuffleOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.ShuffleOperator.Builder` `setShuffleRotation​(long value)` `uint64 shuffle_rotation = 2;`
`PlanProtocol.ShuffleOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### clear

    public PlanProtocol.ShuffleOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.ShuffleOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.ShuffleOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.ShuffleOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.ShuffleOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### setField

    public PlanProtocol.ShuffleOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### clearField

    public PlanProtocol.ShuffleOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### clearOneof

    public PlanProtocol.ShuffleOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.ShuffleOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 int index,
                                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.ShuffleOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ShuffleOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ShuffleOperator.Builder mergeFrom​(PlanProtocol.ShuffleOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ShuffleOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ShuffleOperator.Builder>`
Throws:
  `IOException`

#### getKeysList

    public com.google.protobuf.ProtocolStringList getKeysList()

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Specified by:
  `getKeysList` in interface `PlanProtocol.ShuffleOperatorOrBuilder`
Returns:
  A list containing the keys.

#### getKeysCount

    public int getKeysCount()

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Specified by:
  `getKeysCount` in interface `PlanProtocol.ShuffleOperatorOrBuilder`
Returns:
  The count of keys.

#### getKeys

    public String getKeys​(int index)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Specified by:
  `getKeys` in interface `PlanProtocol.ShuffleOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.

#### getKeysBytes

    public com.google.protobuf.ByteString getKeysBytes​(int index)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Specified by:
  `getKeysBytes` in interface `PlanProtocol.ShuffleOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the keys at the given index.

#### setKeys

    public PlanProtocol.ShuffleOperator.Builder setKeys​(int index,
                                                        String value)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The keys to set.
Returns:
  This builder for chaining.

#### addKeys

    public PlanProtocol.ShuffleOperator.Builder addKeys​(String value)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Parameters:
  `value` - The keys to add.
Returns:
  This builder for chaining.

#### addAllKeys

    public PlanProtocol.ShuffleOperator.Builder addAllKeys​(Iterable<String> values)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Parameters:
  `values` - The keys to add.
Returns:
  This builder for chaining.

#### clearKeys

    public PlanProtocol.ShuffleOperator.Builder clearKeys()

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Returns:
  This builder for chaining.

#### addKeysBytes

    public PlanProtocol.ShuffleOperator.Builder addKeysBytes​(com.google.protobuf.ByteString value)

    The keys we are hashing by (in order) to determine the destination

`repeated string keys = 1;`

Parameters:
  `value` - The bytes of the keys to add.
Returns:
  This builder for chaining.

#### getShuffleRotation

    public long getShuffleRotation()

`uint64 shuffle_rotation = 2;`

Specified by:
  `getShuffleRotation` in interface `PlanProtocol.ShuffleOperatorOrBuilder`
Returns:
  The shuffleRotation.

#### setShuffleRotation

    public PlanProtocol.ShuffleOperator.Builder setShuffleRotation​(long value)

`uint64 shuffle_rotation = 2;`

Parameters:
  `value` - The shuffleRotation to set.
Returns:
  This builder for chaining.

#### clearShuffleRotation

    public PlanProtocol.ShuffleOperator.Builder clearShuffleRotation()

`uint64 shuffle_rotation = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.ShuffleOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.ShuffleOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ShuffleOperator.Builder>`